/*
 * $Id: dpm_struct.h,v 1.2 2005/01/14 08:58:46 baud Exp $
 */

/*
 * Copyright (C) 2004-2005 by CERN/IT/GD/CT
 * All rights reserved
 */

/*
 * @(#)$RCSfile: dpm_struct.h,v $ $Revision: 1.2 $ $Date: 2005/01/14 08:58:46 $ CERN IT-GD/CT Jean-Philippe Baud
 */

#ifndef _DPM_STRUCT_H
#define _DPM_STRUCT_H

                        /* structures common to Disk Pool Manager client and server */

struct dpm_pool {
	char		poolname[CA_MAXPOOLNAMELEN+1];
	u_signed64	defsize;
	int		gc_start_thresh;
	int		gc_stop_thresh;
	int		defpintime;
	int		put_retenp;
	char		fss_policy[CA_MAXPOLICYLEN+1];
	char		gc_policy[CA_MAXPOLICYLEN+1];
	char		rs_policy[CA_MAXPOLICYLEN+1];
	gid_t		gid;		/* restrict the pool to a given group */
	char		s_type;		/* space type: 'V', 'D' or 'P' */
	u_signed64	capacity;
	u_signed64	free;
	struct dpm_fs	*elemp;
	int		nbelem;
	int		next_elem;	/* next pool element to be used */
};

struct dpm_fs {
	char		poolname[CA_MAXPOOLNAMELEN+1];
	char		server[CA_MAXHOSTNAMELEN+1];
	char		fs[80];
	u_signed64	capacity;
	u_signed64	free;
	int		status;
};
#endif
